Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85931 - pcmcia card drivers do not load.
Summary: pcmcia card drivers do not load.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-10 23:48 UTC by Need Real Name
Modified: 2008-01-17 17:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:37 UTC


Attachments (Terms of Use)
as requested. (deleted)
2003-03-16 02:29 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-03-10 23:48:53 UTC
Description of problem:
hardware platform:  sony vaio fx190k
An adaptect scsi card (1460) is plugged into a pcmcia slot.  The KDE control
center reports that no pcmcia controller is detected.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.  boot
2.  open kde control center, information, pcmcia
3.
    
Actual results:
no pcmcia controller

Expected results:
1.  active pcmcia controller
2.  correctly detected scsi card
3.  correctly detected devices hanging off the scsi card

Additional info:

Comment 1 Arjan van de Ven 2003-03-11 09:42:28 UTC
can you attach dmesg output and lspci -vv output ?

Comment 2 Marius Andreiana 2003-03-13 15:22:50 UTC
I also couldn't get pcmcia working with install bootdisk, here's the mail to
phoebe list ( no solution so far )

On a Siemens pcd-5nd with 3com megahertz 3ccfem556b pcmcia card ( listed
as supported in hardware compat list ) I can't perform a network
install. The system had freebsd before, so it's working fine.

Some messages from alt+f3 console :
intel pcic probe: cirrus .. isa-to-pcmcia at port .., 2 sockets
loaded  i82365 found ..
loaded ds
inserted pcmcia_core.o, i82365.o, ds.o
..
I manually select the network driver, as it says it can't find it. Console says
'inserted 3c574_cs', but then returns to asking the driver.

Comment 3 Need Real Name 2003-03-16 02:29:29 UTC
Created attachment 90614 [details]
as requested.

knoppix 3.1 (1-1-2003 release) detects this setup with no problem.  including
scsi card in pcmcia slot 1.

Comment 4 Arjan van de Ven 2003-03-16 09:59:25 UTC
> Interrupt: pin A routed to IRQ 0

your bios did not assign an interrupt to your cardbus controller. The Red Hat
kernel has a patch to not use such cardbus controllers because on a bunch of
systems using it will lock the system up.....

Comment 5 Need Real Name 2003-03-23 17:42:42 UTC
which redhat kernel has a patch?  my system is not locking up, so i'm wondering
about the connection of this information to this bug report.  are you reporting
that a fix exists and is available somewhere?  thanks very much for the help and
clarifications.

Comment 6 Need Real Name 2003-03-23 17:47:14 UTC
committed the comment too soon.  if i understand correctly, you're saying that
this cardbus type isn't activated at all because of problems it causes,
elsewhere.  since knoppix handles it just fine, is there a way that i can get it
working in my system as a localized or customized kernel?  any
recommendations/specifications on what to switch in building a customized kernel?

thanks, Arjan.

Comment 7 Bugzilla owner 2004-09-30 15:40:37 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.